> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete profile

> Delete protection profile. Protection is disabled at the same time as profile is deleted



## OpenAPI

````yaml /api-reference/services_docs_mintlify/ddos_protection_api.yaml delete /security/iaas/v2/profiles/{id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 8330487fea25
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: BGP announces
  - name: Event Logs
  - name: Profiles
  - name: Protected Networks
  - name: Protection Profiles
  - name: Protection Templates
  - name: Templates
paths:
  /security/iaas/v2/profiles/{id}:
    delete:
      tags:
        - Profiles
      summary: Delete profile
      description: >-
        Delete protection profile. Protection is disabled at the same time as
        profile is deleted
      operationId: v2_profiles_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '204':
          description: No response body
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Profile not found
components:
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````